Bug 1054972 - [GSS] (6.3.0) Initialization of MBeans uses wrong TCCL
Summary: [GSS] (6.3.0) Initialization of MBeans uses wrong TCCL
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Class Loading
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR1
: EAP 6.3.0
Assignee: David M. Lloyd
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1054984
TreeView+ depends on / blocked
 
Reported: 2014-01-17 21:14 UTC by Kyle Lape
Modified: 2018-12-05 16:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In previous versions of JBoss EAP, it was found that an application's TCCL (thread context class loader) was not appropriately set when initializing MBeans found in .sar files. This meant that resources in the deployment were not available to the MBean upon initialization. In this update to the product, the TCCL is now set appropriately surrounding the call to the MBean initialization and MBeans can now access deployment resources upon initialization.
Clone Of:
: 1054984 (view as bug list)
Environment:
Last Closed: 2014-06-28 15:41:25 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker WFLY-822 Major Resolved MBean created via EAR/META-INF/jboss-service.xml from class defined in JBoss module gets wrong TCCL 2016-08-16 07:20:10 UTC

Description Kyle Lape 2014-01-17 21:14:06 UTC
org.jboss.as.service.ParsedServiceDeploymentProcessor#newInstance should set the TCCL before creating the MBean instance.

Comment 2 Jan Martiska 2014-03-04 12:52:36 UTC
Verified in 6.3.0.DR1.


Note You need to log in before you can comment on or make changes to this bug.